Index: GUIListControl.cs
===================================================================
--- GUIListControl.cs	(revision 26072)
+++ GUIListControl.cs	(working copy)
@@ -199,6 +199,10 @@
     protected string _scrollbarTopName = "";
     [XMLSkinElement("scrollbarbottom")]
     protected string _scrollbarBottomName = "";
+    [XMLSkinElement("scrollbarwidth")]
+    protected int _scrollbarWidth = 15;
+    [XMLSkinElement("scrollbarXOff")]
+    protected int _scrollbarXOff = 0;
 
     [XMLSkinElement("spinColor")]
     protected long _spinControlColor;
@@ -322,8 +326,8 @@
       _upDownControl.ParentControl = this;
       _upDownControl.DimColor = DimColor;
 
-      _verticalScrollbar = new GUIVerticalScrollbar(_controlId, 0, 5 + _positionX + _width, _positionY, 15, _height,
-                                                    _scrollbarBackgroundName, _scrollbarTopName, _scrollbarBottomName);
+      _verticalScrollbar = new GUIVerticalScrollbar(_controlId, 0, 5 + _positionX + _width + _scrollbarXOff, _positionY, _scrollbarWidth,
+                                          _height, _scrollbarBackgroundName, _scrollbarTopName, _scrollbarBottomName);
       _verticalScrollbar.ParentControl = this;
       _verticalScrollbar.SendNotifies = false;
       _verticalScrollbar.DimColor = DimColor;
@@ -1587,15 +1591,15 @@
         {
           lock (GUIGraphicsContext.RenderLock)
           {
-          GUITextureManager.CleanupThumbs();
-          foreach (GUIListItem item in _listItems)
-          {
-            item.FreeMemory();
+            GUITextureManager.CleanupThumbs();
+            foreach (GUIListItem item in _listItems)
+            {
+              item.FreeMemory();
+            }
+            _refresh = true;
+            return true;
           }
-          _refresh = true;
-          return true;
         }
-        }
 
         if (message.Message == GUIMessage.MessageType.GUI_MSG_LABEL_ADD)
         {
@@ -1610,9 +1614,9 @@
         {
           lock (GUIGraphicsContext.RenderLock)
           {
-          Clear();
+            Clear();
+          }
         }
-        }
         if (message.Message == GUIMessage.MessageType.GUI_MSG_ITEMS)
         {
           message.Param1 = _listItems.Count;
@@ -2116,8 +2120,8 @@
     }
 
     protected virtual void ReleaseButtons()
-    {      
-      _listButtons.DisposeAndClear();      
+    {
+      _listButtons.DisposeAndClear();
     }
 
     /// <summary>
@@ -2188,19 +2192,19 @@
     public override void Dispose()
     {
       base.Dispose();
-     
-    _font = null;
-    _font2 = null;
-    _font3 = null;
 
-    _upDownControl.SafeDispose();
-    _listButtons.DisposeAndClear();
-    _verticalScrollbar.SafeDispose();
+      _font = null;
+      _font2 = null;
+      _font3 = null;
 
-    _listItems.DisposeAndClear();
-    _labelControls1.DisposeAndClear();
-    _labelControls2.DisposeAndClear();
-    _labelControls3.DisposeAndClear();      
+      _upDownControl.SafeDispose();
+      _listButtons.DisposeAndClear();
+      _verticalScrollbar.SafeDispose();
+
+      _listItems.DisposeAndClear();
+      _labelControls1.DisposeAndClear();
+      _labelControls2.DisposeAndClear();
+      _labelControls3.DisposeAndClear();
     }
 
     /// <summary>
Index: GUIThumbnailPanel.cs
===================================================================
--- GUIThumbnailPanel.cs	(revision 26072)
+++ GUIThumbnailPanel.cs	(working copy)
@@ -124,6 +124,10 @@
     protected string _scrollbarTopTextureName = "";
     [XMLSkinElement("scrollbarbottom")]
     protected string _scrollbarBottomTextureName = "";
+    [XMLSkinElement("scrollbarwidth")]
+    protected int _scrollbarWidth = 15;
+    [XMLSkinElement("scrollbarXOff")]
+    protected int _scrollbarXOff = 0;
 
     [XMLSkinElement("scrollStartDelaySec")]
     protected int _scrollStartDelay = 1;
@@ -314,8 +318,8 @@
         xpos = GUIGraphicsContext.Width - 15;
       }
       _verticalScrollBar = new GUIVerticalScrollbar(_controlId, 0,
-                                                    5 + _positionX + _width, _positionY, 15, _height,
-                                                    _scrollbarBackGroundTextureName, _scrollbarTopTextureName,
+                                                    5 + _positionX + _width + _scrollbarXOff, _positionY, _scrollbarWidth,
+                                                    _height,_scrollbarBackGroundTextureName, _scrollbarTopTextureName,
                                                     _scrollbarBottomTextureName);
       _verticalScrollBar.ParentControl = this;
       _verticalScrollBar.SendNotifies = false;
